TICKIT_WINDOW_GET_ABS_GEOMETRY(3)

NAME
tickit_window_get_abs_geometry - query the absolute position of a window

SYNOPSIS
    #include <tickit.h>

    TickitRect tickit_window_get_abs_geometry(const TickitWindow *win);

Link with -ltickit.

DESCRIPTION
tickit_window_get_abs_geometry() returns a TickitRect structure containing the absolute position of the given window within the underlying terminal. For a root window or an immediate child of it, this will be the same as its position given by tickit_window_get_geometry(3). For further-nested children, this will take account of the position of its parents.

RETURN VALUE

SEE ALSO
tickit_window_new(3), tickit_window_get_geometry(3), tickit_window_reposition(3), tickit_window(7), tickit(7)